CVE-2016-1242

Priority
Description
file_open in Tryton before 3.2.17, 3.4.x before 3.4.14, 3.6.x before
3.6.12, 3.8.x before 3.8.8, and 4.x before 4.0.4 allows remote
authenticated users with certain permissions to read arbitrary files via
the name parameter or unspecified other vectors.
Package
Upstream:released (4.0.4-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needs-triage)
Trusty/esm:DNE (trusty was needed)
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (4.0.4-1)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (4.0.4-1)
Ubuntu 19.04 (Disco Dingo):not-affected (4.0.4-1)
Ubuntu 19.10 (Eoan):not-affected (4.0.4-1)
Patches:
Upstream:https://hg.tryton.org/trytond/rev/1cf79b978221 (4.0)
Upstream:https://hg.tryton.org/trytond/rev/922e8717c9d1 (trunk, tests)
More Information

Updated: 2019-04-26 14:16:45 UTC (commit 30899e40836d26e1bb5f0b072d31fd87b6cf3bd4)